%define module CDB_File

Summary:	Extension for access to cdb databases
Name:		perl-%{module}
Version:	0.96
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
CDB_File is a module which provides a Perl interface to Dan Berstein's cdb
package.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGE CHANGES COPYRIGHT README
%{perl_vendorarch}/auto/CDB_File
%{perl_vendorarch}/CDB_File.pm
%{perl_vendorarch}/bun-x.pl
%{_mandir}/*/*



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96-2mdv2009.0
+ Revision: 268372
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2009.0
+ Revision: 195211
- new version
  drop undocumented patch (doesn't apply anymore)

* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2008.1
+ Revision: 165057
- import perl-CDB_File


* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2008.1
- initial Mandriva package 
